/************ Général ************/
body{
    margin:0;
    padding:0;
    background-color: #666;
    font-family: 'Open Sans', sans-serif;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    overflow: hidden;
}

.btnmab{
    text-align:center;
}

button{
    font-size: 20px;
    border-radius: 3px;
    height: 50px;
    padding: 0 35px;
    text-decoration: none;
    border: 2px solid #1a1a1a;
    background-color: rgba(0,0,0,0);
    transition: 0.35s;
}

button:hover{
    background-color: #1a1a1a;
    color: #fff;
    cursor: pointer;
}

.imglogo{
    padding:10px 2.5%;
    vertical-align: center;
    transition: 0.25s
}

.imglogo:hover{
    box-shadow: 0 0 5px #000;
}

.centrer{
    text-align: center;
}

.centrer a img{
    transition: 0.5s;
    padding: 4% 0;
}

.centrer a img:hover{
    width: 31%;
    padding: 0;
}

/************ Carte ************/
#carte{
    width: 60vw;
    height: 93vh;
    position: absolute;
    top: 7vh;
    left:0;
}

/********* Couches **********/
#time_select{
    position: absolute;
    bottom: 0px;
    left: 0px;
    z-index:3998;
    width: 60vw;
    height: 120px;
    background-color: #111111;
    color: #c1c1c1;
    text-align: right;
}

#close{
    background-color: #1a1a1a;
    width: 40vw;
    height: 100px;
    position: absolute;
    bottom: 0;
    left:0;
}

#time{
    width: 58vw;
    height: 80%;
    position: absolute;
    top: 10%;
    left: 1vw;
    text-align: left;
}

#time td{
    padding: 3px 10px;
}

#tog_couches{
    width: 20px;
    height:300px;
    background-color: #000;
    position: absolute;
    top: 0px;
    left: 300px;
    z-index:4001;
    cursor: pointer;
}

input[type=range] {
  -webkit-appearance: none;
  margin: 10px 0;
  width: 100%;
}

input[type=range]:focus {
  outline: none;
}

.leaflet-bottom, .leaflet-right{
    z-index:9999;
}

#year_show{
    position: absolute;
    bottom: 20px;
    right: 0;
    font-size: 70px;
    line-height: 50px;
    z-index:6666;
    margin:0;
    color: #fff;
    background-color: #111;
    text-shadow: 0 0 5px #000;
    text-align: right;
}

#year{
    position: absolute;
    bottom: 0;
    width: 45vw;
}

/********* Info Window **********/
#infowin{
    background-color: #ebf1f2;
    width: 40vw;
    height: 93vh;
    position: absolute;
    top:7vh;
    right: 0;
    z-index: 3999;
    padding:0;
    box-shadow: 0 0 10px #000;
}

#infocontent{
    position: absolute;
    top: 0;
    right: 0;

    height:89vh;
    text-align: justify;
    overflow-y: scroll;
    padding: 2vh 2vw;
    line-height: 1.5;
    font-size: 20px;
}

#infoWindow{
    width: 350px;
    height: 460px;
    position: absolute;
    bottom: 200px;
    right:200px;
    background-color: #fff;
    z-index: 3000;
    box-shadow: 0 0 10px #000;
    margin-top: 60px;
}

#moveInfo{
    height: 60px;
    width: 100%;
    cursor: grab;
    background: url("icon/move.png") no-repeat #1a1a1a;
}

#textInfo{
    height: 390px;
    width: 340px;
    padding:5px;
}

/************ Menu ************/
#nav{
    z-index: 4002;
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 7vh;
    background-color: #1a1a1a;
    padding: 0;
    margin:0;
    box-shadow: 1px 0 10px #000;
}

#logo{
    position: relative;
    top: 0;
    left: 15%;
    background-color: #1a1a1a;
    width: 275px;
    padding: 20px 40px;
    border-bottom: 5px #71b641 solid;
}

#menu{
    position: absolute;
    top: 0;
    right: 25px;
    height: 60px;
    line-height: 40px;
}

#legende{
    position: absolute;
    bottom: 0;
    left:0;
    z-index:9999;
    max-height: 100%;
    width: 100%;
}

.menu_link{
    display: inline-block;
    padding: 10px 15px;
    margin: 0;
    color: #f9f9f9;
    text-decoration: none;
    font-weight: bolder;
    text-transform: uppercase;
    border-left: 1px #000 solid;
}

.menu_link:hover{
    background-color: #222;
}

/********** Footer ************/
#footer{
    position: absolute;
    bottom: 0px;
    right:0;
    height: 60px;
    background-color: #f2f2f2;
    border-top: 5px #71b641 solid;
    z-index: 4000;
    line-height: 60px;
    display: block;
}

.section_foot{
    padding: 0 30px;
    display: inline-block;
    vertical-align:top;
}

.facebook{
    background: #4267b2;
    color: #fff;
    font-weight: bold;
    font-size: 20px;
}

.section_foot a{
    text-decoration: none;
    color: #71b641;
    font-weight: bold;
}

/************Switch***************/
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
input[type=range] {
  -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
  width: 100%; /* Specific width is required for Firefox. */
  background: transparent; /* Otherwise white in Chrome */
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
}

input[type=range]:focus {
  outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */
}

input[type=range]::-ms-track {
  width: 100%;
  cursor: pointer;

  /* Hides the slider so custom styles can be added */
  background: transparent;
  border-color: transparent;
  color: transparent;
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 66px;
  width: 66px;
  background: url('icon/slider2.png');
  cursor: pointer;
  margin-top: -60px;
}

/* All the same stuff for Firefox */
input[type=range]::-moz-range-thumb {
    height: 66px;
    width: 66px;
    background: url('icon/slider2.png');
    cursor: pointer;
    margin-top: -60px;
}

/* All the same stuff for IE */
input[type=range]::-ms-thumb {
    height: 66px;
    width: 66px;
    background: url('icon/slider2.png');
    cursor: pointer;
    margin-top: -60px;
}

input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: #71B641;
  border-radius: 1.3px;
  border: 0.2px solid #010101;
}

input[type=range]:focus::-webkit-slider-runnable-track {
  background: #71B641;
}

input[type=range]::-moz-range-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: #71B641;
  border-radius: 1.3px;
  border: 0.2px solid #010101;
}

input[type=range]::-ms-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  border-width: 16px 0;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #2a6495;
  border: 0.2px solid #010101;
  border-radius: 2.6px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]:focus::-ms-fill-lower {
  background: #71B641;
}
input[type=range]::-ms-fill-upper {
  background: #71B641;
  border: 0.2px solid #010101;
  border-radius: 2.6px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]:focus::-ms-fill-upper {
  background: #367ebd;
}

.collection{
    width: 100%;
    text-align: center;
    vertical-align: top;
    transition: 0.25s;
    margin: 10px 0;
}

.collection:hover{
    box-shadow: 0 0 10px #000;
    cursor: pointer;
}

.linkeve{
    text-align: right !important;
    text-decoration: none;
    line-height: 1.5;
    width: 100%;
    color: #476d2c;
    transition: 0.25s;
}

.linkeve:hover{
    box-shadow: 0 0 10px #000;
}

#liste{
    position: absolute;
    background: #EBF1F4;
    bottom: 120px;;
    left:0;
    z-index: 4000;
    width: 60vw;
    border-radius: 0 10px 0 0;
    box-shadow: 0 0 10px #000;
}

#listeliste{
    position: relative;
    padding: 20px 10px 20px 10px;
    text-align: right;

    display:none;
    bottom: 0;
}

#listeclose{
    position: relative;
    top: 0;
    height: 50px;
    background: url('icon/afficher.png') #1a1a1a no-repeat;
    cursor: pointer;
}

#labelligne{
    position: absolute;
    font-size: 14px;
    bottom: 70px;
}

#dg_back{
    background-color: rgba(0,0,0,0.95);
    z-index: 8888;
    position: absolute;
    top: 0;
    left:0;
    width:100vw;
    height:100vh;
        display:none;
}

#dg_close{
    position: absolute;
    top: 0px;
    right: 0px;
    color: #000;
    font-size: 50px;
    background-color: #84a175;
    padding: 10px 30px;
    text-shadow: 0 0 3px #000;
    box-shadow: 0 0 10px #000;
}

#dg_close:hover{
    cursor: pointer;
}

#dg_content{
    width: 100%;
    height: 100%;
}

#dg_image{

    height: 96%;
    margin-left: 25vw;
    text-align: center;
}

#imgopen{
    display: block;
}



input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/***********SCROLLBAR****************/
#infocontent::-webkit-scrollbar {
    width: 0.5em;
}

#infocontent::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}

#infocontent::-webkit-scrollbar-thumb {
  background-color: darkgrey;
  outline: 1px solid slategrey;
}
